## org.apache.mahout.clustering.conversion
Class InputDriver

    java.lang.Object
      org.apache.mahout.clustering.conversion.InputDriver

    public final class InputDriver

extends Object

This class converts text files containing space-delimited floating point numbers into Mahout sequence files of VectorWritable suitable for input to the clustering jobs in particular, and any Mahout job requiring this input in general.

Method Summary
`static void` `main(String[] args)`
`static void` `runJob(org.apache.hadoop.fs.Path input, org.apache.hadoop.fs.Path output, String vectorClassName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(String[] args)
                     throws IOException,
                            InterruptedException,
                            ClassNotFoundException

  Throws:
    `IOException`
    `InterruptedException`
    `ClassNotFoundException`

### runJob

    public static void runJob(org.apache.hadoop.fs.Path input,
                              org.apache.hadoop.fs.Path output,
                              String vectorClassName)
                       throws IOException,
                              InterruptedException,
                              ClassNotFoundException

  Throws:
    `IOException`
    `InterruptedException`
    `ClassNotFoundException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.